Bug 1389642 (CVE-2016-9103)

Summary: CVE-2016-9103 Qemu: 9pfs: information leakage via xattr
Product: [Other] Security Response Reporter: Prasad J Pandit <ppandit>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED WONTFIX QA Contact:
Severity: low Docs Contact:
Priority: low    
Version: unspecifiedCC: ailan, amit.shah, apevec, areis, ayoung, berrange, cfergeau, chrisw, crobinso, cvsbot-xmlrpc, drjones, dwmw2, imammedo, itamar, jen, jschluet, kbasil, knoel, lhh, lpeer, markmc, m.a.young, mkenneth, mrezanin, mst, pbonzini, rbryant, rjones, rkrcmar, sclewis, srevivo, tdecacqu, virt-maint, virt-maint, vkuznets, xen-maint
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: impact=low,public=20161008,reported=20161010,source=researcher,cvss2=2.3/AV:A/AC:M/Au:S/C:P/I:N/A:N,cvss3=4.1/CVSS:3.0/AV:A/AC:L/PR:L/UI:N/S:C/C:L/I:N/A:N,cwe=CWE-200,rhel-5/kvm=notaffected,rhel-5/xen=notaffected,rhel-6/qemu-kvm=notaffected,rhel-7/qemu-kvm=wontfix,rhel-7/qemu-kvm-rhev=wontfix,openstack-5/qemu-kvm-rhev=notaffected,openstack-6/qemu-kvm-rhev=notaffected,openstack-7/qemu-kvm-rhev=notaffected,openstack-8/qemu-kvm-rhev=notaffected,fedora-all/qemu=affected,fedora-all/xen=affected
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2019-06-08 03:01:33 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On: 1389643, 1389644    
Bug Blocks: 1389508    

Description Prasad J Pandit 2016-10-28 05:48:06 UTC
Quick Emulator(Qemu) built with the VirtFS, host directory sharing via Plan 9
File System(9pfs) support, is vulnerable to an information leakage issue. It
could occur by accessing xattribute value before it's written to.

A privileged user inside guest could use this flaw to leak host memory bytes.

Upstream patches:
-----------------
  -> https://lists.gnu.org/archive/html/qemu-devel/2016-10/msg01790.html

Reference:
----------
  -> http://wiki.qemu.org/Documentation/9psetup

Comment 1 Prasad J Pandit 2016-10-28 05:48:11 UTC
Acknowledgments:

Name: Li Qiang (360.cn Inc.)

Comment 2 Prasad J Pandit 2016-10-28 05:50:19 UTC
Created xen tracking bugs for this issue:

Affects: fedora-all [bug 1389644]

Comment 3 Prasad J Pandit 2016-10-28 05:50:42 UTC
Created qemu tracking bugs for this issue:

Affects: fedora-all [bug 1389643]

Comment 4 Andrej Nemec 2016-10-31 14:57:03 UTC
CVE assignment:

http://seclists.org/oss-sec/2016/q4/279

Comment 5 Cole Robinson 2017-01-16 18:29:53 UTC
commit eb687602853b4ae656e9236ee4222609f3a6887d
Author: Li Qiang <liqiang6-s@360.cn>
Date:   Mon Oct 17 14:13:58 2016 +0200

    9pfs: fix information leak in xattr read